using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMedicalInsurance.Helper
{
    class DropHelper
    {
        /// <summary>
        /// 证件类型
        /// </summary>
        public Dictionary<string, string> CredenecType()
        {
            Dictionary<string, string> ct = new Dictionary<string, string>();
            //List<string> ct = new List<string>();
            //ct.Add("01", "居民身份证");
            ct.Add("02", "居民身份证");
            ct.Add("03", "社保卡");
            return ct;
        }
        /// <summary>
        /// 病种名称
        /// </summary>
        /// <returns></returns>
        public Dictionary<string, string> DiseName()
        {
            Dictionary<string, string> ct = new Dictionary<string, string>();
            //List<string> ct = new List<string>();
            ct.Add("M07000", "痛风");
            ct.Add("M07807", "慢性肾脏病");
            ct.Add("M01703", "甲状腺毒性心脏病");
            ct.Add("M07200", "强直性脊柱炎");
            return ct;
        }
        /// <summary>
        /// 业务类型
        /// </summary>
        /// <returns></returns>
        public Dictionary<string, string> BizType()
        {
            Dictionary<string, string> ct = new Dictionary<string, string>();
            ct.Add("1", "一类门特");
            ct.Add("2", "二类门特");
            return ct;
        }
        /// <summary>
        /// 业务类型
        /// </summary>
        /// <returns></returns>
        public Dictionary<string, string> Medinsinfo()
        {
            Dictionary<string, string> ct = new Dictionary<string, string>();
            ct.Add("2399001000058", "哈尔滨普瑞眼科医院");
            ct.Add("3100001000345", "上海普瑞眼科医院");
            return ct;
        }
        

        public class ComboBoxItem
        {
            private string _text = null;
            private object _value = null;
            public string Text { get { return this._text; } set { this._text = value; } }
            public object Value { get { return this._value; } set { this._value = value; } }
            public override string ToString() 
            {
                return this._text;
            }
        }
    }
}
